# st.switch_page

Source: https://docs.streamlit.io/develop/api-reference/navigation/st.switch_page

* Function signature:

   ```python
   st.switch_page(page, *, query_params=None)
   ```

* Parameters:

   | name | type | default | description |
   |---|---|---|---|
   | page | str, Path, or Page |  | The page to switch to. This can be one of the following values:  Path to a Python file: The path can be a string or pathlib.Path object. It can be absolute or relative to the entrypoint file. The Python file must be the source of a page in st.navigation. If you are using the pages/ directory instead of st.navigation, the Python file must be your entrypoint file or a file in the pages/ directory.  Page: The source of the Page and its url_path must match a page defined in st.navigation. The Page must be internal and can't be defined by a URL. Use st.Page to create a Page object.   To switch to a page defined by a callable, you must use a Page object. |
   | query_params | dict, list of tuples, or None |  | Query parameters to apply when navigating to the target page. This can be a dictionary or an iterable of key-value tuples. Values can be strings or iterables of strings (for repeated keys). When this is None (default), all non-embed query parameters are cleared during navigation. |
